-- 起き上がり
function get_up_act(kind)
  -- 行動済みフラグ
  local done = false
  
  if my_act>=97 and my_act<99 then
    if kind==0 then
      -- 前
      key_on(ACT_D)
      key_on(front)
    elseif kind==1 then
      -- 後ろ
      key_on(ACT_D)
      key_on(back)
    elseif kind==2 then
      -- ランダム
      local tmp_kind = math.random(0, 2)
      if tmp_kind==2 then
        tmp_kind=3
      end
      get_up_act(tmp_kind)
    elseif kind==3 then
      -- 無効
    end

    -- リバーサルコマンド用情報更新
    if is_th105 then
      if my_dir==1 then
        reversal_front = ACT_RIGHT
        reversal_back = ACT_LEFT
      else
        reversal_front = ACT_LEFT
        reversal_back = ACT_RIGHT
      end
    end
    
    -- 起き上がり動作が始まるまで待機
    while my_act>=97 and my_act<99 do
      yield()
    end
    done = true
  end
  
  return done
end
